# $Revision: 1.20 $, $Date: 2002/07/12 10:55:00 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Lingua
%define	pnam	IW-Logical
Summary:	Lingua::IW::Logical perl module
Summary(pl):	Modu perla Lingua::IW::Logical
Name:		perl-Lingua-IW-Logical
Version:	0.5
Release:	7
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Lingua::IW::Logical module is intended to automate task of converting
logical Hebrew to visual Hebrew.

%description -l pl
Modu Lingua::IW::Logical jest przeznaczony do automatyzacji zada
konwersji pomidzy logicznym i wizualnym hebrajskim.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%dir %{perl_sitelib}/Lingua/IW
%{perl_sitelib}/Lingua/IW/Logical.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Lingua-IW-Logical.spec,v $
Revision 1.20  2002/07/12 10:55:00  qboosh
- adding missing dir, new %%doc; release 7

Revision 1.19  2002/07/10 08:47:52  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.18  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.17  2002/02/25 10:32:36  depesz
cleanup; revision++

Revision 1.16  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/13 14:17:51  depesz
automatic: Source location unfied, Relase Up

Revision 1.14  2002/02/10 15:28:22  depesz
adapterized

Revision 1.13  2002/01/18 02:14:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/11/28 15:20:18  mis
- buildarch noarch; release++

Revision 1.11  2001/04/17 12:11:40  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/01/11 01:45:23  kloczek
- release 2: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.8  2000/06/09 07:54:54  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:38  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/21 00:14:06  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:55  baggins
- translated kloczkish into english

Revision 1.3  2000/02/17 23:58:14  pius
- updated to 0.5

Revision 1.2  1999/11/05 19:27:21  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:44  pius
- initial release
